import Taro, { useEffect, useState } from '@tarojs/taro';

const useAppBackState = (): boolean => {
  const [state, setState] = useState(false);
  useEffect(() => {
    let entity = Taro.getLaunchOptionsSync();
    console.log(entity);
    if (entity && (entity.scene === 1069 || entity.scene === 1036)) {
      setState(true);
    }
  }, []);

  return state;
};

export default useAppBackState;
